Skip to content

/auth/handoff

POST
/auth/handoff
curl --request POST \
--url https://example.com/api/v1/auth/handoff \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "token": "example" }'
Media typeapplication/json
object
token
required
string
>= 1 characters
Examplegenerated
{
"token": "example"
}

Default Response

Media typeapplication/json
object
accessToken
required
string
expiresIn
required
integer
>= -9007199254740991 <= 9007199254740991
user
required
object
id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
email
required
string
role
required
string
Allowed values: owner admin domain_admin mailbox_user
totpEnabled
required
boolean
totpUnreadable
boolean
active
required
boolean
createdAt
required
string format: date-time
/^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$/
onBehalfOf
Any of:
object
id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
email
required
string
Example
{
"user": {
"role": "owner"
}
}